summaryrefslogtreecommitdiffstats
path: root/unstable/wzdftpd-svn/wzdftpd-svn.initd
diff options
context:
space:
mode:
Diffstat (limited to 'unstable/wzdftpd-svn/wzdftpd-svn.initd')
-rw-r--r--unstable/wzdftpd-svn/wzdftpd-svn.initd32
1 files changed, 32 insertions, 0 deletions
diff --git a/unstable/wzdftpd-svn/wzdftpd-svn.initd b/unstable/wzdftpd-svn/wzdftpd-svn.initd
new file mode 100644
index 00000000..25f4da6f
--- /dev/null
+++ b/unstable/wzdftpd-svn/wzdftpd-svn.initd
@@ -0,0 +1,32 @@
+#!/sbin/runscript
+
+depend() {
+ need net
+ after firewall
+ use dns
+}
+
+checkconfig() {
+ if [ ! -f /etc/wzdftpd/wzd.cfg ] ; then
+ eerror "No /etc/wzdftpd/wzd.cnf file exists!"
+ return 1
+ fi
+ if [ ! -d /var/run/wzdftpd ] ; then
+ install -dD -o ftp -g ftp /var/run/wzdftpd
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting wzdftpd"
+ /usr/sbin/wzdftpd >/dev/null 2>&1 &
+ eend $?
+}
+
+stop () {
+ ebegin "Stopping wzdftpd"
+ start-stop-daemon --stop --quiet \
+ --pidfile=/var/run/wzdftpd/wzdftpd.pid --retry 20
+ eend $?
+}
+